import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import SettingItem from "../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.mjs";
import SettingItemBox from "../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.mjs";
import _sfc_main$1 from "../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.mjs";
import "../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.mjs";
import "../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.mjs";
import "../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../../../../enums/pageEnum.mjs";
import "../../../../../router/index.mjs";
import "../../../../../store/modules/designStore/designStore.mjs";
import "../../../../../settings/designSetting.mjs";
import "../../../../../components/GoLoading/index.mjs";
import "../../../../../components/GoSkeleton/index.vue.mjs";
import "../../../../../store/modules/chartEditStore/chartEditStore.mjs";
import "../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.mjs";
import { defineComponent, resolveComponent, openBlock, createBlock, withCtx, createVNode } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_n_input_number = resolveComponent("n-input-number");
      const _component_n_input = resolveComponent("n-input");
      const _component_n_color_picker = resolveComponent("n-color-picker");
      return openBlock(), createBlock(unref(_sfc_main$1), {
        name: "列表",
        expanded: true
      }, {
        default: withCtx(() => [
          createVNode(unref(SettingItemBox), { name: "基础" }, {
            default: withCtx(() => [
              createVNode(unref(SettingItem), { name: "表行数" }, {
                default: withCtx(() => [
                  createVNode(_component_n_input_number, {
                    value: __props.optionData.rowNum,
                    "onUpdate:value": _cache[0] || (_cache[0] = ($event) => __props.optionData.rowNum = $event),
                    min: 1,
                    size: "small",
                    placeholder: "请输入自动计算"
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              createVNode(unref(SettingItem), { name: "轮播时间(s)" }, {
                default: withCtx(() => [
                  createVNode(_component_n_input_number, {
                    value: __props.optionData.waitTime,
                    "onUpdate:value": _cache[1] || (_cache[1] = ($event) => __props.optionData.waitTime = $event),
                    min: 1,
                    size: "small",
                    placeholder: "请输入轮播时间"
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              createVNode(unref(SettingItem), { name: "数值单位" }, {
                default: withCtx(() => [
                  createVNode(_component_n_input, {
                    value: __props.optionData.unit,
                    "onUpdate:value": _cache[2] || (_cache[2] = ($event) => __props.optionData.unit = $event),
                    size: "small",
                    placeholder: "数值单位"
                  }, null, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          createVNode(unref(SettingItemBox), { name: "样式" }, {
            default: withCtx(() => [
              createVNode(unref(SettingItem), { name: "主体颜色" }, {
                default: withCtx(() => [
                  createVNode(_component_n_color_picker, {
                    size: "small",
                    modes: ["hex"],
                    value: __props.optionData.color,
                    "onUpdate:value": _cache[3] || (_cache[3] = ($event) => __props.optionData.color = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              createVNode(unref(SettingItem), { name: "数据颜色" }, {
                default: withCtx(() => [
                  createVNode(_component_n_color_picker, {
                    size: "small",
                    modes: ["hex"],
                    value: __props.optionData.textColor,
                    "onUpdate:value": _cache[4] || (_cache[4] = ($event) => __props.optionData.textColor = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              createVNode(unref(SettingItem), { name: "底部线条" }, {
                default: withCtx(() => [
                  createVNode(_component_n_color_picker, {
                    size: "small",
                    modes: ["hex"],
                    value: __props.optionData.borderColor,
                    "onUpdate:value": _cache[5] || (_cache[5] = ($event) => __props.optionData.borderColor = $event)
                  }, null, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }),
          createVNode(unref(SettingItemBox), { name: "字体样式" }, {
            default: withCtx(() => [
              createVNode(unref(SettingItem), { name: "序号字体" }, {
                default: withCtx(() => [
                  createVNode(_component_n_input_number, {
                    size: "small",
                    value: __props.optionData.indexFontSize,
                    "onUpdate:value": _cache[6] || (_cache[6] = ($event) => __props.optionData.indexFontSize = $event),
                    min: 12
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              createVNode(unref(SettingItem), { name: "左侧数据字体" }, {
                default: withCtx(() => [
                  createVNode(_component_n_input_number, {
                    size: "small",
                    value: __props.optionData.leftFontSize,
                    "onUpdate:value": _cache[7] || (_cache[7] = ($event) => __props.optionData.leftFontSize = $event),
                    min: 12
                  }, null, 8, ["value"])
                ]),
                _: 1
              }),
              createVNode(unref(SettingItem), { name: "右侧数据字体" }, {
                default: withCtx(() => [
                  createVNode(_component_n_input_number, {
                    size: "small",
                    value: __props.optionData.rightFontSize,
                    "onUpdate:value": _cache[8] || (_cache[8] = ($event) => __props.optionData.rightFontSize = $event),
                    min: 12
                  }, null, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
});
export {
  _sfc_main as default
};
